<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XDevicePoolDeviceMobility StructType
 * @subpackage Structs
 */
class XDevicePoolDeviceMobility extends AbstractStructBase
{
    /**
     * The devicePoolName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var XFkType
     */
    public $devicePoolName;
    /**
     * Constructor method for XDevicePoolDeviceMobility
     * @uses XDevicePoolDeviceMobility::setDevicePoolName()
     * @param XFkType $devicePoolName
     */
    public function __construct(XFkType $devicePoolName = null)
    {
        $this
            ->setDevicePoolName($devicePoolName);
    }
    /**
     * Get devicePoolName value
     * @return XFkType
     */
    public function getDevicePoolName()
    {
        return $this->devicePoolName;
    }
    /**
     * Set devicePoolName value
     * @param XFkType $devicePoolName
     * @return XDevicePoolDeviceMobility
     */
    public function setDevicePoolName(XFkType $devicePoolName = null)
    {
        $this->devicePoolName = $devicePoolName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return XDevicePoolDeviceMobility
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
